TAIL(1)

NAMN
tail — skriv ut den sista delen av filer

SYNOPSIS
tail [FLAGGA]... [FIL]...

BESKRIVNING

Skriv de sista 10 raderna från varje FIL till standard ut. Vid fler än en FIL, inled varje med ett huvud med filnamnet.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-c, --bytes=[+]ANT
    Skriv ut de ANT sista byten; eller använd -c +ANT för att skriva ut byte med början på den ANT:e i varje fil.

-f, --follow[={namn|filidentifierare}]
    Skriv ut nya rader i takt med att filen växer;

    ett utelämnat argument betyder ”filidentifierare”.

-F  Samma som --follow=name --retry.

-n, --lines=[+]ANT
    skriv ut de sista ANT raderna istället för de sista 10; eller använd -n +ANT för att hoppa över ANT-1 rader i början

--max-unchanged-stats=N
    Med --follow=name, återöppna en FIL som inte har

    ändrat storlek efter N (standard 5) iterationer för att se om den har tagits bort eller fått nytt namn (detta är det vanliga för roterade loggfiler); med inotify är denna flagga sällan meningsfull.

--pid=PID
    Med -f, avsluta efter att process-id PID dör.

-q, --quiet, --silent
    Skriv aldrig ut huvuden med filnamn.

--retry
    Fortsätt försöka öppna en fil om den är oåtkomlig.

-s, --sleep-interval=N
    Med -f, sov i ungefär N sekunder (standard 1,0) mellan iterationer; med inotify och --pid=P, kontrollera process P åtminstone var N:e sekund.

-v, --verbose
    Skriv alltid ut huvuden med filnamn.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

ANT kan ha en multiplikativ ändelse: b 512, kB 1000, K 1024, MB 1000·1000, M 1024·1024, GB 1000·1000·1000, G 1024·1024·1024, och så vidare för T, P, E, Z, Y, R, Q. Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

Med --follow (-f), följer tail som standard filidentifieraren, vilket betyder att även om man byter namn på en tail:ad fil kommer tail fortsätta att följa dess slut. Detta standardbeteende är inte önskvärt när du verkligen vill följa det faktiska namnet på filen, inte filidentifieraren (t.ex. roterade loggfiler). --follow=name i så fall. Det gör att tail följer den namngivna filen på ett sätt som hanterar att dess namn ändras, eller att filen tas bort eller skapas.

UPPHOVSMAN
Skrivet av Paul Rubin, David MacKenzie, Ian Lance Taylor och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
head(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/tail>
eller tillgängligt lokalt via: info '(coreutils) tail invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.